commoble.databuddy.config

## Class ConfigHelper.Subscriber

- java.lang.Object
- - commoble.databuddy.config.ConfigHelper.Subscriber

Enclosing class:
  ConfigHelper

    public static class ConfigHelper.Subscriber
    extends java.lang.Object

Subscriber instances are given to your config class's constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`<T> ConfigHelper.ConfigValueListener<T>` `subscribe(net.minecraftforge.common.ForgeConfigSpec.ConfigValue<T> value)` Subscribe a config value to the config reload event.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### subscribe

    public <T> ConfigHelper.ConfigValueListener<T> subscribe(net.minecraftforge.common.ForgeConfigSpec.ConfigValue<T> value)

Subscribe a config value to the config reload event. Use with a forge config builder to create the config values.

Type Parameters:
  `T` - The type of the value the config value is configuring
Parameters:
  `value` - The config value we are subscribing
Returns:
  A reload-sensitive wrapper around your config value. Use listener.get() to get the most up-to-date value.